#!/bin/bash
# create a data base cluster for ex1

EXDATA_PATH=~postgres
SCRIPT_PATH=$(cd $(dirname $0);pwd)

for FILE_NAME in $(find {.,/usr/local/pgsql} -name postmaster.pid)
do
  pg_ctl stop -w -D $(dirname $FILE_NAME)
done
rm -rf $EXDATA_PATH/ex1

initdb -D $EXDATA_PATH/ex1 -E UTF8 --no-locale
pg_ctl start -w -D $EXDATA_PATH/ex1 -o "-p 5431"
createdb -p 5431 ex1
psql -p 5431 -f $SCRIPT_PATH/ex1.init.sql ex1
pg_ctl stop -w -D $EXDATA_PATH/ex1 -m s
cat << EOF > $EXDATA_PATH/ex1/pg_hba.conf
# TYPE  DATABASE        USER            CIDR-ADDRESS            METHOD
local    all            postgres                                 trust
EOF
sed -e "s/#logging_collector = off/logging_collector = on/" \
    -e "s/#log_line_prefix = ''/log_line_prefix = '%t[%p] '/" \
    -e "s/#silent_mode = off/silent_mode = on/" \
    -e "s/#listen_addresses = 'localhost'/listen_addresses = '*'/" \
 $EXDATA_PATH/ex1/postgresql.conf > $EXDATA_PATH/postgresql.conf.dist
mv $EXDATA_PATH/postgresql.conf.dist $EXDATA_PATH/ex1/postgresql.conf
cp $SCRIPT_PATH/ex1.sql $EXDATA_PATH
